/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatListModule } from '@angular/material/list';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { RouterTestingModule } from '@angular/router/testing';
import { BCI_SHARED_INTL_PROVIDER, BciSharedModule, ModalWindowService } from '@bci-web-core/core';
import { UserService } from '../../../shared/user-service.service';

import { MdListDemoComponent } from './md-list-demo.component';

describe('MdListDemoComponent', () => {
  let component: MdListDemoComponent;
  let fixture: ComponentFixture<MdListDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [
          BciSharedModule,
          RouterTestingModule,
          MatSlideToggleModule,
          MatIconModule,
          MatListModule,
          MatDialogModule,
          MatFormFieldModule,
          NoopAnimationsModule,
        ],
        declarations: [MdListDemoComponent],
        providers: [UserService, ModalWindowService, BCI_SHARED_INTL_PROVIDER],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(MdListDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
